;;*****************************************************************************
;;
;; File: C16KernalEntryPoints.asm
;;
;; Entry points for user-callable Commodore 16 Kernal [sic] routines.
;;
;; These are accessed through a jump table which is largely identical
;; throughout the whole Commodore 8-bit series
;;*****************************************************************************

C16_KERN_8ASIN  EQU $FFCF ; = 65487 - Input from channel
C16_KERN_ACPTR  EQU $FFA5 ; = 65445 - Handshake serial bus or DMA disk byte in
C16_KERN_BSOUT  EQU $FFD2 ; = 65490 - output to channel
C16_KERN_CHKIN  EQU $FFC6 ; = 65478 - Open channel in
C16_KERN_CHOUT  EQU $FEC9 ; = 65481 - open channel out
C16_KERN_CINT   EQU $FF81 ; = 65409 - Initialize screen editor
C16_KERN_CIoUT  EQU $FFA8 ; = 65448 - Handshake serial bus or DMA disk byte out
C16_KERN_CLALL  EQU $FFE7 ; = 65511 - Close all files
C16_KERN_CLOSE  EQU $FFC3 ; = 65475 - Close logical file
C16_KERN_CLRCH  EQU $FECC ; = 65484 - Close I/O channels
C16_KERN_GETIN  EQU $FFE4 ; = 65508 - Get character from queue
C16_KERN_IOBASE EQU $FFF3 ; = 65523 - Return location of start of I/O
C16_KERN_IOINIT EQU $FF84 ; = 65412 - Initialize I/O devices
C16_KERN_LISTN  EQU $FFB1 ; = 65457 - Send LISTEN out serial bus or DMA disk
C16_KERN_LOADSP EQU $FFD5 ; = 65493 - Load from file
C16_KERN_MEMBOT EQU $FF9C ; = 65436 - Set/Read bottom of memory
C16_KERN_MEMTOP EQU $FF99 ; = 65433 - Set/Read top of memory
C16_KERN_OPEN   EQU $FFC0 ; = 65472 - Open logical file
C16_KERN_PLOT   EQU $FFF0 ; = 65520 - Read/Set X,Y coord of cursor
C16_KERN_RAMTAS EQU $FF87 ; = 65415 - Ram test
C16_KERN_RDTIM  EQU $FFDE ; = 65502 - Read internal clock
C16_KERN_READSS EQU $FFB7 ; = 65463 - Return I/O STATUS byte
C16_KERN_RESTOR EQU $FF8A ; = 65418 - Restore vectors to initial values
C16_KERN_SAYESP EQU $FFD8 ; = 65496 - Save to file
C16_KERN_SCNKEY EQU $FF9F ; = 65439 - Scan keyboard
C16_KERN_SCRORG EQU $FFED ; = 65517 - Screen org.
C16_KERN_SECND  EQU $FF93 ; = 65427 - Send SA after LISTEN
C16_KERN_SETLFS EQU $FFBA ; = 65466 - Set LA, FA, SA
C16_KERN_SETMSG EQU $FF90 ; = 65424 - Control O.S. messages
C16_KERN_SETNAM EQU $FFBD ; = 65469 - Set length and FN address
C16_KERN_SETTIM EQU $FFDB ; = 65499 - Set internal clock
C16_KERN_SETTMO EQU $FFA2 ; = 65442 - Set timeout in DMA disk
C16_KERN_STOP   EQU $FFE1 ; = 6S50S - Scan STOP key
C16_KERN_TALK   EQU $FFB4 ; = 65460 - Send TALK out serial bus or DMA disk
C16_KERN_TKSA   EQU $FF96 ; = 65430 - Send SA after TALK
C16_KERN_UDTIM  EQU $FFEA ; = 65514 - Increment clock
C16_KERN_UNLSN  EQU $FFAE ; = 65454 - Send UNLISTEN out serial bus or DMA disk
C16_KERN_UNTLR  EQU $FFAB ; = 65451 - Send UNTALK out serial bus or DMA disk
C16_KERN_VECTOR EQU $FF8D ; = 65421 - Change vectors for user

