@echo off
rem ***************************************************************************
rem * File: make.bat
rem *       Windows build script for cross-compiling Commodore 16 version of
rem *       Thrust.
rem *
rem * Run: make.bat -- to build version without cheat keys
rem *      make.bat enhanced -- to build version with cheat keys etc (see
rem *                           Thrust.asm for more details)
rem *
rem * Requires: DASM assembler      \_ See default
rem *           Exomizer compresser /  locations below
rem *
rem * Output: thrust.prg -- boot loader
rem *         thrust-main.prg -- main program (compressed)
rem *
rem *         thrust-main.o64 -- main program (uncompressed)
rem *         thrust-loader.sym.txt -- Symbol table for boot loader (for debugging)
rem *         thrust-main.sym.txt -- Symbol table for main program (for debugging)
rem *
rem ***************************************************************************

rem Paths for Assembler & Compressor
set dasm_path=..\dasm
set exomizer_path=..\exo20beta7\win32

rem Handle build variants
set define=
if /i "%1" equ "enhanced" set define=-DBUILD_ENHANCED_VERSION

echo ************************vvv Compilation of loader vvv*************************
@echo on
%dasm_path%\dasm ThrustLoader.asm -f1 -othrust.prg -sthrust-loader.sym.txt
@echo off
echo ************************^^^^^^ Compilation of loader ^^^^^^*************************
echo ***********************vvv Compilation of main prog vvv***********************
@echo on
%dasm_path%\dasm Thrust.asm -f1 %define% -othrust-main.o16 -sthrust-main.sym.txt
@echo off
echo ***********************^^^^^^ Compilation of main prog ^^^^^^***********************

set /p continue=Continue to compression (Y/N)?

if /i "%continue%" equ "n" goto :all_done

rem Note that Exomizer crashes with the command line arguments are in the
rem "wrong" order!
@echo on
%exomizer_path%\exomizer.exe sfx $0c00 thrust-main.o16 -t4 -p 1 -o thrust-main.prg -x1
@echo off

:all_done


